@ECHO off 
cls 
color 0A 
ECHO =========================================================================
echo       货单票据打印软件 使用协议
ECHO .
echo 运行安装前最好退出杀毒防卫软件，以免权限不够安装受影响。
echo 凡是在大型正规软件下载站所下载本软件，绝对安全，放心使用，
echo 如安装中有杀毒提示，请不必理会，选择“允许”与“信任”。
ECHO .
echo 本软件由A-Jin软件开发，以下简称为“本开发者”。
echo 本软件的一切所有权和所有知识产权，均由本开发者所有。
echo 用户不得单独复制、反汇编、反编译、修改材料等侵权行为。
echo 侵权将必须承担任何因侵权行为所造成的相关责任后果。
echo 本软件提供有偿服务维护，用户须付相关费用才可拥有维护。
echo 本软件不能保证与所有的软硬件及系统完全兼容。
echo 导致不兼容并无法解决兼容性问题，用户可以不使用本软件。
echo 使用本软件请务必了解电脑使用基础知识并安装好杀毒软件。
echo 本软件不为用户保管数据，任何数据丢失,均由用户本人负责。
echo 因使用本软件对用户造成的任何损害,均由用户本人承担责任。
echo 因故障/损坏/黑客攻击等造成的中断,本软件不承担任何责任。
echo 安装后请查看软件菜单》帮助》关于,仔细了解软件的使用协议。
echo 使用本软件必须同意并遵守软件中各项使用协议。
ECHO .
echo .    使用本软件均视认同接受以上协议条款。
ECHO .
ECHO 关于软件和版本功能最终解释权属于本软件开发者A-Jin软件所有.
ECHO =======================================================================
echo 同意以上协议条款请按 任意键 开始绿化安装
ECHO .

pause

ECHO .
ECHO     ★ ★        程序运行中，请稍等。。。。。。       ★ ★ 
ECHO .
ECHO .
ECHO .

rem 解压后_以管理员运行此绿色安装.bat 为首次安装使用
rem 绿色安装.bat为升级替换安装使用

rem %~dp0  获取批处理脚本路径 

set shdfileurl="%~dp0\货单票据打印软件"


ECHO .

regsvr32 /s "%shdfileurl%\hmButton.ocx"

regsvr32 /s "%shdfileurl%\shdtodll.dll"


copy "%shdfileurl%"\se.dll "%shdfileurl%"\seBck.dll

"%shdfileurl%\Installer.exe"


exit

